class Point:
# A point representing a location in (x,y) coordinate space, specified in integer precision.

	def __init__(self, loc_x, loc_y):
	#Constructs and initializes a point at the specified (x,y) location in the coordinate space.
		self.x = loc_x
		self.y = loc_y

	def __str__(self):
	#Computes the "informal" string representations of a Point.
		return '({0}, {1})'.format(self.x, self.y)

	def __add__(self, other):
	#Adds two points and return the result. 
		return Point(self.x + other.x, self.y + other.y)

	def __mul__(self, other):
	#Computes the dot product of the two points	
		if isinstance(other,Point):
			return self.x * other.x + self.y * other.y
		else:
			return Point(other * self.x,  other * self.y)
	def __rmul__(self, other):
	#Performs scalar multiplication
    		return Point(other * self.x,  other * self.y)



